{
  "schema_version": "1.4.0",
  "id": "GHSA-7vxg-f4w8-jgjh",
  "modified": "2022-05-17T03:20:49Z",
  "published": "2022-05-17T03:20:49Z",
  "aliases": [
    "CVE-2015-1214"
  ],
  "details": "Integer overflow in the SkAutoSTArray implementation in include/core/SkTemplates.h in the filters implementation in Skia, as used in Google Chrome before 41.0.2272.76, allows remote attackers to cause a denial of service or possibly have unspecified other impact via vectors that trigger a reset action with a large count value, leading to an out-of-bounds write operation.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-1214"
    },
    {
      "type": "WEB",
      "url": "https://code.google.com/p/chromium/issues/detail?id=445810"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201503-12"
    },
    {
      "type": "WEB",
      "url": "https://skia.googlesource.com/skia/+/23d432080cb8506bf8e371b1637ce8f2de9c0c05"
    },
    {
      "type": "WEB",
      "url": "http://googlechromereleases.blogspot.com/2015/03/stable-channel-update.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-0627.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72901"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2521-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-03-09T00:59:00Z"
  }
}